org.apache.sysds.runtime.util

## Class PRNGenerator

- java.lang.Object
- - org.apache.sysds.runtime.util.PRNGenerator

Direct Known Subclasses:
  NormalPRNGenerator, PoissonPRNGenerator, UniformPRNGenerator

    public abstract class PRNGenerator
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PRNGenerator()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract double` `nextDouble()`
`abstract void` `setSeed(long sd)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PRNGenerator

    public PRNGenerator()

### Method Detail

#### setSeed

    public abstract void setSeed(long sd)

#### nextDouble

    public abstract double nextDouble()